from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import File, Boolean, Int

Openswathmzmlfilecacher_V0_1_0 = CommandToolBuilder(tool="OpenSwathMzMLFileCacher", base_command=["OpenSwathMzMLFileCacher"], inputs=[ToolInput(tag="in_in", input_type=File(optional=True), prefix="-in", doc=InputDocumentation(doc="*                Input mzML file (valid formats: 'mzML', 'sqMass')")), ToolInput(tag="in_in_type", input_type=File(optional=True), prefix="-in_type", doc=InputDocumentation(doc="Input file type -- default: determined from file extension or content\n(valid: 'mzML', 'sqMass')")), ToolInput(tag="in_out", input_type=File(optional=True), prefix="-out", doc=InputDocumentation(doc="*               Output file (valid formats: 'mzML', 'sqMass')")), ToolInput(tag="in_out_type", input_type=File(optional=True), prefix="-out_type", doc=InputDocumentation(doc="Output file type -- default: determined from file extension or content\nNote: that not all conversion paths work or make sense. (valid: 'mzML', 'sqMass')")), ToolInput(tag="in_convert_back", input_type=Boolean(optional=True), prefix="-convert_back", doc=InputDocumentation(doc="Convert back to mzML")), ToolInput(tag="in_lossy_compression", input_type=Int(optional=True), prefix="-lossy_compression", doc=InputDocumentation(doc="Use numpress compression to achieve optimally small file size (attention: may cause small loss of precision; only for mzML data). (default: 'true' valid: 'true', 'false')")), ToolInput(tag="in_full_meta", input_type=File(optional=True), prefix="-full_meta", doc=InputDocumentation(doc="Write full meta information into sqMass file (may require large amounts of memory) (default: 'true' valid: 'true', 'false')")), ToolInput(tag="in_ini", input_type=File(optional=True), prefix="-ini", doc=InputDocumentation(doc="Use the given TOPP INI file")), ToolInput(tag="in_threads", input_type=Int(optional=True), prefix="-threads", doc=InputDocumentation(doc="Sets the number of threads allowed to be used by the TOPP tool (default: '1')")), ToolInput(tag="in_write_ini", input_type=File(optional=True), prefix="-write_ini", doc=InputDocumentation(doc="Writes the default configuration file")), ToolInput(tag="in_helphelp", input_type=Boolean(optional=True), prefix="--helphelp", doc=InputDocumentation(doc="Shows all options (including advanced)"))], outputs=[ToolOutput(tag="out_out", output_type=File(optional=True), selector=InputSelector(input_to_select="in_out", type_hint=File()), doc=OutputDocumentation(doc="*               Output file (valid formats: 'mzML', 'sqMass')")), ToolOutput(tag="out_out_type", output_type=File(optional=True), selector=InputSelector(input_to_select="in_out_type", type_hint=File()), doc=OutputDocumentation(doc="Output file type -- default: determined from file extension or content\nNote: that not all conversion paths work or make sense. (valid: 'mzML', 'sqMass')"))], container="quay.io/biocontainers/openms:2.6.0--h4afb90d_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Openswathmzmlfilecacher_V0_1_0().translate("wdl")

